Kirjoittaja Aihe: ongelma uudempaan päivitykse  (Luettu 1711 kertaa)

majatalo

  • Käyttäjä
  • Viestejä: 287
    • Profiili
ongelma uudempaan päivitykse
« : 30.03.10 - klo:15.17 »
koitin päivittää uudempaan versioon mutta jostain syystä tuli stoppi sille ja nyt herjaa seuraavaa:
E: Paketti linux-image-2.6.28-18-generic olisi asennettava uudelleen, mutta sen arkistoa ei löydy.

mikä avuksi, kokeiltu install -f komentoa, remove,


Jallu59

  • Käyttäjä
  • Viestejä: 3430
    • Profiili
Vs: ongelma uudempaan päivitykse
« Vastaus #1 : 30.03.10 - klo:15.36 »
Mitä versiota Ubuntusta yritit päivittää mihin ja miten ?

Yleisesti, jos päivitys tökkii, uuden version "puhdas" asennus on yksi varteenotettava vaihtoehto. Kokoonpanosta jää tällöin vanhaa turhaa tauhkaa pois.

 Jos /home on erillisellä osiolla homma on aika helppo, muuten /home talteen esimerkiksi ulkoiselle muistivälineelle(kiintolevy, muistitikku, ...). Lisäksi ehkä /etc kannattaa ottaa talteen jos suinkin mahdollista, ainakin /etc/X11/xorg.conf, jos uusi versio ei tunnista näyttöä (testaa live-käytöllä).

Jos useita on useita käyttäjätunnuksia, niin joko ne pitää luoda samassa järjestyksessä kuin alkuperäisessä systeemissä tai sitten täytyy ottaa käyttäjätiedoista kunkkin käyttäjän id-numero (1000, 1001, ...)talteen ja asettaa se käyttäjää luotaessa, muuten menee kotihakemistot ja niiden oikeudet sekaisin. Tämän ruljanssin saatta saada oikaistuksi /etc:n kopioimisella (en toistaiseksi ole onnistunut).

Ystävällisin terveisin

Jallu59
Jari J. Lehtinen, Wanhempi (iki?)tietoteekkari & tietotekniikkakonsultti Turust, P4-HT / 3,0 GHz, Intel945 IGP 226MB & 4GBram & UbuntuStudio 14.04. Toshiba Satellie 50-C, i5 dual-core 2,3GHz, ubuntu-mate 16.04 LTS

majatalo

  • Käyttäjä
  • Viestejä: 287
    • Profiili
Vs: ongelma uudempaan päivitykse
« Vastaus #2 : 30.03.10 - klo:16.15 »
taisi olla kyseessä päivitys 8.10 =>9.04 tai 9.04=>9.10

sources.list tiedostossa lukee alussa

8.04.2 _Hardy Heron_

mutta tiedostojen lopussa lukee karmic

uname -a
Linux mythbuntu 2.6.28-18-generic #60-Ubuntu SMP Fri Mar 12 04:26:47 UTC 2010 x86_64 GNU/Linux

cat /etc/issue antaa vastauksen
Ubuntu 9.04 \n \l

ei kiinnostais lähteä asentaa konetta uusiksi kun mythtv pyörii ihan kivasti.

asennusta koitin ihan päivitysten hallinasta käytössä on siis 64 bittinen versio

Jallu59

  • Käyttäjä
  • Viestejä: 3430
    • Profiili
Vs: ongelma uudempaan päivitykse
« Vastaus #3 : 30.03.10 - klo:17.22 »
Jos mielestäsi ne sources.list:in kommentoimattomat rivit ovat järkevän näköisiä karmic-versioita, niin koetapa
sivun
http://wiki.ubuntu-fi.org/Paivittaminen
Ongelmanratkaisun kohta III:n mukaisia toimenpiteitä.

Tuo otsikointi vaan kertoo, että olet asentanut systeemisi Hardynä(8.04LTS) ja päivitellyt siitä sitten

T:Jallu59.
Jari J. Lehtinen, Wanhempi (iki?)tietoteekkari & tietotekniikkakonsultti Turust, P4-HT / 3,0 GHz, Intel945 IGP 226MB & 4GBram & UbuntuStudio 14.04. Toshiba Satellie 50-C, i5 dual-core 2,3GHz, ubuntu-mate 16.04 LTS

majatalo

  • Käyttäjä
  • Viestejä: 287
    • Profiili
Vs: ongelma uudempaan päivitykse
« Vastaus #4 : 01.04.10 - klo:07.56 »
ongelma ratkesi sillä kun latasin puuttuvan paketin linux-image-2.6.28-18  amd64 deb paketin ja asensin erikseen.

no nyt on 9.10 asennettu.
mysql ei käynnisty automaattisesti...... :(

sudo mkdir /var/run/mysqld
sudo touch /var/run/mysqld/mysqld.sock
sudo chown mysql /var/run/mysqld
sudo chown mysql /var/run/mysqld/mysqld.sock
jake@mythbuntu:~$ sudo mysqld

nuo kun tekee

niin pyörii, mutta bootin jälkeen taas on tehtävä samat uudestaan.


toinen ilmiö että wicd haluaa salasanaa ennen kuin tulee pääsee työpöydälle asti

cabaro

  • Käyttäjä
  • Viestejä: 131
    • Profiili
Vs: ongelma uudempaan päivitykse
« Vastaus #5 : 01.04.10 - klo:23.23 »
Voit ottaa kantadumpit ja asentaa mysql:n uudelleen.

http://viralpatel.net/blogs/2009/01/mysql-database-backup-mysql-mysqldump-backup-command.html

Koodia: [Valitse]
mysqldump –u[user name] –p[password] –all-databases > [dump file]

ongelma ratkesi sillä kun latasin puuttuvan paketin linux-image-2.6.28-18  amd64 deb paketin ja asensin erikseen.

no nyt on 9.10 asennettu.
mysql ei käynnisty automaattisesti...... :(

sudo mkdir /var/run/mysqld
sudo touch /var/run/mysqld/mysqld.sock
sudo chown mysql /var/run/mysqld
sudo chown mysql /var/run/mysqld/mysqld.sock
jake@mythbuntu:~$ sudo mysqld

nuo kun tekee

niin pyörii, mutta bootin jälkeen taas on tehtävä samat uudestaan.


toinen ilmiö että wicd haluaa salasanaa ennen kuin tulee pääsee työpöydälle asti


majatalo

  • Käyttäjä
  • Viestejä: 287
    • Profiili
Vs: ongelma uudempaan päivitykse
« Vastaus #6 : 02.04.10 - klo:10.05 »
jotakin muutakin on pielessä kun mythtv ei löydä kanavia ynm.
osaa nauhoittaa kanavia jotka aikaisemmin nauhoittui ok.
ilmeisesti vain yksi kolmesta virittimestä nauhoittaa ok.
eli nova t, toimii OK ja nova-t 500(tupla viritin) ei löydä kanavia.

ennen päivitystä molemmat pelasivat ok,

Edit:
sain korjattua kun loin /etc/modprobe.d/dvb-t.conf tiedoston(kerta sitä ei ollut valmiina)
sen sisälle laitoin
Lainaus
# Enable DiB0700 Low Noise Amps
options dvb-usb-dib0700 force_lna_activation=1
# Disable DVB remote(s)
options dvb-usb disable_rc_polling=1
bootti päälle ja nova-t 500 pelaa taas
tarkemmin kuvausta alla olevasta linkistä
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/397696

jälleen vaikuttaisi olevan "haasteellinen" versio ubuntusta.

no vielä pitää pari asiaa testata/fixata
- wicd kyselemä salasanan automatisointi.
- mysql uudelleen asennus
- nvram shutdown/wakeup testaus. manuaalisesti kun laittaa bootin niin kyselee salasanaa.

« Viimeksi muokattu: 02.04.10 - klo:11.32 kirjoittanut majatalo »